$INTERFACE UEVDP8                                             98/12/01
  $DIME='18*($MEL)'
  $IF(MED<2) $DIME='11*($MEL)'
  $IF(MED=1)
    NAL=$NA
  $ENDIF
  $HELP
    STEP SELECTION
      1 - STEP SELECTION FROM LOCAL TRUNCATION ERROR
      2 - STEP SELECTION FROM PRESCRIBED MESH POINTS
  $CHECK(MED1,1,'1\2',4)
  $IF(MED1=1) $MED2=0
  $HELP
    NUMBER OF RESETING SOLUTIONS
      MED2=0 - NO RESETING SOLUTIONS
      MED2=1 - FIRST NE SOLUTIONS RESETTED
      MED2=2 - FIRST NE SOLUTIONS INTERPOLATED
  $CHECK(MED2,0,'0\1\2',4)
  $HELP
    NUMBER OF STEPS PRECEEDING TEST OF STIFTNESS
  $CHECK(MED3,1000,INT,4)
  $HELP
    MAXIMUM NUMBER OF INTEGRATION STEPS
  $CHECK(MSTP,100000,INT,3)
  $HELP
    PARAMETER FOR STEPSIZE CONTROL
  $CHECK(BET3,'4.0$P-2',REAL,4)
  $HELP
    LOVER PARAMETER FOR STEPSIZE SELECTION
  $CHECK(TET1,'0.2$P 0',REAL,4)
  $HELP
    UPPER PARAMETER FOR STEPSIZE SELECTION
  $CHECK(TET2,'1.0$P 1',REAL,4)
  $HELP
    SAFETY FACTOR FOR STEPSIZE PREDICTION
  $CHECK(TET3,'0.9$P 0',REAL,4)
  $HELP
    INITIAL STEPSIZE
  $CHECK(HE,'0.0$P 0',REAL,4)
  $HELP
    MAXIMUM STEPSIZE
  $CHECK(HEMAX,'0.0$P 0',REAL,4)
  $HELP
    RELATIVE PRECISION
  $CHECK(TOLR,'1.0$P-6',REAL,3)
  $HELP
    ABSOLUTE PRECISION
  $CHECK(TOLA,'1.0$P-6',REAL,3)
  $HELP
    UPPER BOUND FOR SOLUTION NORM
  $CHECK(FMAX,'1.0$P 20',REAL,4)
  CALL UEVDP8(NA,NAL,NE,MEL,KA,$AT,$AY,$YA,$YAO,$EF,$ES,$ETA0,$TET1&
,$TET2,$TET3,$BET3,TA,TAO,TAMAX,HE,HEMAX,FMAX,ERR,MED,MED1,MED2,MED3&
,NACC,NREJ,IER)
  $ADD(REAL,'\$AT($NA)\$AY($NA*$NE)\$YA($MEL)\$YAO($MEL)\$EF($MEL)&
  \$ES($DIME)')
$REM  $ADD(REAL,'\TA\TAO\TAMAX\HE\HEMAX\FMAX\ERR')
$REM  $ADD(INTEGER,'\NA\NAL\NE\MEL\KA\NACC\NREJ\IER')
  GOTO ($LET,$LED) ISB+1
  $ADD(SINID)
    IF (HEMAX.LE.ZERO) HEMAX=TAMAX-TA
  $ENDADD
  $ADD(INIT)
    NEDX='UEVDP8'
  $ENDADD
  $EXIT
