$INTERFACE UF1FC1                                             97/12/01
  $SUBST('UZCSET')
  $HELP
    TYPE OF EXTREMUM:
       0 - MINIMUM
       1 - MAXIMUM
  $CHECK(IEXT,0,'0\1',1)
  $HELP
    LOWER BOUND FOR FUNCTION VALUE
  $CHECK(FMIN,'-$ETA9',REAL,2)
  $ADD(REAL,'\$GF($NF)\$CF($NC)\$CL($NC)\$CU($NC)\$G($NF)')
  $ADD(INTEGER,'\$IC($NC)')
 $00  CALL UF1FC1($GF,$CF,$IC,$CL,$CU,$G)
      GOTO ($90,$10,$20,$50,$60) ISB+1
 $10  CONTINUE
      $MTYPE=FMODF
      $SUBST('UZFMOD')
      $IF(PENF=1)
        $SUBST('UCSVF3')
      $ENDIF
      $IF(FMODF<>'F')
        $IF(NORMF>0) CALL UXVMUL($NF,$XN,$GF,$GF,1)
      $ENDIF
      GO TO $00
 $20  CONTINUE
      $IF(GMODF='G')
        $MTYPE='G'
        $SUBST('UZFMOD')
        $IF(NORMF>0) CALL UXVMUL($NF,$XN,$GF,$GF,1)
        GO TO $00
      $ELSEIF(FMODF='F')
        $IF(HESF<>'NO')
          $HELP
            METHOD FOR DETERMINATION OF DIFFERENCE USED FOR
            NUMERICAL COMPUTATION OF GRADIENT:
              0 - CONSTANT DIFFERENCE
              1 - EASY COMPARATIVE METHOD
              2 - STEWART'S METHOD.
          $CHECK(MCG,2,'0\1\2',3)
        $ELSE
          $HELP
            METHOD FOR DETERMINATION OF DIFFERENCE USED FOR
            NUMERICAL COMPUTATION OF GRADIENT:
              0 - CONSTANT DIFFERENCE
              1 - EASY COMPARATIVE METHOD
              2 - STEWART'S METHOD.
          $CHECK(MCG,0,'0\1\2',3)
        $ENDIF
        $IF(MCG=0)
          $SUBST('UF0G$(CON)1')
        $ELSE
          $ADD(SINID)
            CALL UXVSET(NF,ZERO,$GF)
            CALL UXVSET(NF,ONE,$HD)
          $ENDADD
          $SUBST('UF0G$(CON)2')
        $ENDIF
        GOTO ($40,$30) ISB+1
 $30  CONTINUE
        $MTYPE=FMODF
        $SUBST('UZFMOD')
        GO TO $20
 $40  CONTINUE
        $IF(NORMF>0) CALL UXVMUL($NF,$XN,$GF,$GF,1)
        GO TO $00
      $ELSE
        IF (LD.LT.0) GO TO $00
        $MTYPE=FMODF
        $SUBST('UZFMOD')
        $IF(NORMF>0) CALL UXVMUL($NF,$XN,$GF,$GF,1)
        GO TO $00
      $ENDIF
 $50  CONTINUE
      $IF(SAVC>-1)
        IF(LDC.GE.0) THEN
        FC=$CF(KC)
        GO TO $00
        ENDIF
      $ENDIF
      $IF(NCL>0)
        IF(KC.LE.NCL) THEN
        $SUBST('UCLNF1')
        $IF(ISNC>0)
          $SUBST('UCSVF1')
        $ENDIF
        GO TO $00
        ENDIF
      $ENDIF
      $IF(LCD<0)
        $IF(NCL<NC)
          $MTYPE=FMODC
          $SUBST('UZCMOD')
          $IF(NORMC>0) $SUBST('UCNRF1')
          $IF(ISNC>0)
            $SUBST('UCSVF1')
          $ENDIF
          $IF(FMODC<>'F')
            $IF(NORMC>0) $SUBST('UCNRG1')
            $IF(ISNC>1)
              $IF(ISNC>2)
                $IF(NORMF>0) CALL UXVMUL($NF,$XN,$GC,$GC,1)
              $ENDIF
              $SUBST('UCSVG1')
            $ENDIF
          $ENDIF
          GO TO $00
        $ENDIF
      $ELSE
        $GO TO $00
      $ENDIF
 $60  CONTINUE
      $IF(SAVC>0)
        IF(LDC.GE.1) THEN
        $SUBST('UCLNG1')
        GO TO $00
        ENDIF
      $ENDIF
      $IF(NCL>0)
        IF(KC.LE.NCL) THEN
        $SUBST('UCLNG1')
        GO TO $00
        ENDIF
      $ENDIF
      $IF(LCD<1)
        $IF(NCL<NC)
          $IF(GMODC='G')
            $MTYPE='G'
            $SUBST('UZCMOD')
            $IF(NORMC>0) $SUBST('UCNRG1')
            $IF(ISNC>1)
              $IF(ISNC>2)
                $IF(NORMF>0) CALL UXVMUL($NF,$XN,$GC,$GC,1)
              $ENDIF
              $SUBST('UCSVG1')
            $ENDIF
            GOTO $00
          $ELSEIF(FMODC='F')
            $IF(ISNC>0)
              IF (LD.GE.0) FC=$CF(KC)
            $ENDIF
 $65  CONTINUE
            $SUBST('UC0G$(CON)1')
            GOTO ($80,$70) ISB+1
 $70  CONTINUE
            $MTYPE=FMODC
            $SUBST('UZCMOD')
            $IF(NORMC>0) $SUBST('UCNRF1')
            GO TO $65
 $80  CONTINUE
            $IF(ISNC>1)
              $IF(ISNC>2)
                $IF(NORMF>0) CALL UXVMUL($NF,$XN,$GC,$GC,1)
              $ENDIF
              $SUBST('UCSVG1')
            $ENDIF
            GO TO $00
          $ELSE
            IF (LD.LT.0) GOTO $00
            $MTYPE=FMODC
            $SUBST('UZCMOD')
            $IF(NORMC>0) $SUBST('UCNRG1')
            $IF(ISNC>1)
              $IF(ISNC>2)
                $IF(NORMF>0) CALL UXVMUL($NF,$XN,$GC,$GC,1)
              $ENDIF
              $SUBST('UCSVG1')
            $ENDIF
            GO TO $00
          $ENDIF
        $ENDIF
      $ELSE
        $GO TO $00
      $ENDIF
 $90  CONTINUE
      $ADD(INIT)
        NFXX='UF1FC1'
        NCXX='UF1FC1'
      $ENDADD
      $EXIT
