$INTERFACE US1L05                                             97/12/01
  $HELP
    METHOD OF LINE SEARCH:
      1 - BISECTION
      2 - QUADRATIC INTERPOLATION
          (WITH ONE DIRECTIONAL DERIVATE)
  $CHECK(MES,4,'1\2',3)
  $HELP
    SWITCH FOR EXTRAPOLATION:
      1 - CONSTANT INCREASING OF THE INTERVAL
      2 - EXTRAPOLATION SPECIFIED BY THE PARAMETER MES
      3 - SUPPRESSED EXTRAPOLATION
  $CHECK(MES1,2,'1\2\3',4)
  $HELP
    SWITCH FOR WEIGHT UPDATE:
      1 - USE OF THE CURVATURE
      2 - USE OF THE UNIDIRECTIONAL MINIMUM
  $CHECK(MES2,1,'1\2',4)
  $HELP
    UPPER BOUND FOR FUNCTION VALUE
  $CHECK(FMAX,'1.0$P 20',REAL,4)
  $HELP
    PRECISION OF THE COMPUTED VALUES
  $CHECK(ETA1,'1.0$P 2*ETA0',REAL,4)
  $HELP
    TERMINATION TOLERANCE FOR LINE SEARCH
    (IN TEST ON THE CHANGE OF THE FUNCTION VALUE)
  $CHECK(EPS1,'1.0$P-2',REAL,4)
  $HELP
    TERMINATION TOLERANCE FOR LINE SEARCH
    (IN TEST ON THE CHANGE OF THE DIRECTIONAL DERIVATES)
  $CHECK(EPS2,'0.5$P 0',REAL,4)
  $HELP
    MAXIMUM NUMBER OF EXTRAPOLATIONS OR INTERPOLATIONS
  $CHECK(MRED,10,INT,4)
  CALL US1L05(EPS1,EPS2,ETA5,RO,RP,R,FO,FP,F,PO,PP,P,FMIN,FMAX,GNORM&
,SNORM,PAR1,PAR2,RMAX,RMIN,TO,MODE,MES,MES1,MES2,INITS)
$REM  $ADD(REAL,'\EPS1\EPS2\ETA5\RO\RP\R\FO\FP\F\PO\PP\P\FMIN\FMAX&
$REM  \GNORM\SNORM\RMAX\RMIN\TO')
$REM  $ADD(INTEGER,'\MODE\MES\MES1\MES2\INITS')
  $ADD(INIT)
    NSXX='US1L05'
  $ENDADD
  $EXIT
