$REM +---------------------------------------------------------------+
$REM + TEMPLATE: UZLIND                                     01/12/94 +
$REM + LU                                                            +
$REM + PURPOSE:  LINE SEARCH DEFINITION                              +
$REM +---------------------------------------------------------------+

$IF(TYPE='L')
  $IF($DEF(KDS))
  $ELSE
    $DEFAULT=0
    $IF(KDF>0) $DEFAULT=1
    $IF(KDA>0) $DEFAULT=1
    $IF(KDE>0) $DEFAULT=1
    $IF(KDY>0) $DEFAULT=1
    $IF(DEFAULT=1)
      $HELP
        DEGREE OF DIRECTIONAL DERIVATIVES IN LINE SEARCH:
          0 - NO DIRECTIONAL DERIVATIVES
          1 - FIRST DIRECTIONAL DERIVATIVES
      $CHECK(KDS,$DEFAULT,'0\1',4,NO)
    $ELSE
      $KDS=0
    $ENDIF
  $ENDIF
$ELSEIF(TYPE='G')
  $IF($DEF(KDS))
  $ELSE
    $IF(KDF>0) $DEFAULT=1
    $IF(KDA>0) $DEFAULT=1
    $IF($DEF(FMODELF)) $DEFAULT=0
    $IF($DEF(FMODELA)) $DEFAULT=0
    $IF(DEFAULT=1)
      $HELP
        DEGREE OF DIRECTIONAL DERIVATIVES IN LINE SEARCH:
          0 - NO DIRECTIONAL DERIVATIVES
          1 - FIRST DIRECTIONAL DERIVATIVES
      $CHECK(KDS,$DEFAULT,'0\1',4,NO)
    $ELSE
      $KDS=0
    $ENDIF
  $ENDIF
$ELSE
  $KDS=0
$ENDIF
