$REM +---------------------------------------------------------------+
$REM + TEMPLATE: UZMODE                                    01/12/97  +
$REM + SI                                                            +
$REM + PURPOSE:  SPECIFICATION OF MODEL OF APPROXIMATED FUNCTIONS    +
$REM +---------------------------------------------------------------+

$LDE=-1
$GMODE='X'
$DMODE='X'
$IF($DEF(FMODELES))
  $FMODELE=FMODELES
  $ERASE(FMODELES)
  $LDE=0
$ENDIF
$IF($DEF(FMODELE))
  $FMODE='F'
  $KDE=0
  $IF($DEF(GMODELES))
    $IF(LDE<0)
      $ERROR SIMULTANEOUS COMPUTATION IS NOT ALLOWED : LDE < 0
      $STOP
    $ENDIF
    $GMODELE=GMODELES
    $ERASE(GMODELES)
    $LDE=1
  $ENDIF
  $IF($DEF(GMODELE))
    $GMODE='G'
    $KDE=1
  $ENDIF
  $IF($DEF(DMODELES))
    $IF(LDE<KDE)
      $ERROR SIMULTANEOUS COMPUTATION IS NOT ALLOWED : LDE < KDE
      $STOP
    $ENDIF
    $DMODELE=DMODELES
    $ERASE(DMODELES)
    $LDE=1
  $ENDIF
  $IF($DEF(DMODELE))
    $DMODE='D'
    $KDE=1
  $ENDIF
  $IF($DEF(GDMODELES))
    $IF(LDE<KDE)
      $ERROR SIMULTANEOUS COMPUTATION IS NOT ALLOWED : LDE < KDE
      $STOP
    $ENDIF
    $GDMODELE=GDMODELES
    $ERASE(GDMODELES)
    $LDE=1
  $ENDIF
  $IF($DEF(GDMODELE))
    $GMODE='GD'
    $KDE=1
  $ENDIF
   $MODELE='YES'
  $EXIT
$ENDIF
$IF($DEF(FGMODELES))
  $FGMODELE=FGMODELES
  $ERASE(FGMODELES)
  $LDE=1
$ENDIF
$IF($DEF(FGMODELE))
  $FMODE='FG'
  $KDE=1
  $IF($DEF(DMODELE))
    $DMODE='D'
  $ENDIF
  $MODELE='YES'
  $EXIT
  $IF($DEF(DMODELES))
    $IF(LDE<KDE)
      $ERROR SIMULTANEOUS COMPUTATION IS NOT ALLOWED : LDE < KDE
      $STOP
    $ENDIF
    $DMODELE=DMODELES
    $ERASE(DMODELES)
    $LDE=1
  $ENDIF
  $IF($DEF(DMODELE))
    $DMODE='D'
    $KDE=1
  $ENDIF
$ENDIF
$IF($DEF(FDMODELES))
  $FDMODELE=FDMODELES
  $ERASE(FDMODELES)
  $LDE=1
$ENDIF
$IF($DEF(FDMODELE))
  $FMODE='FD'
  $KDE=1
  $IF($DEF(GMODELE))
    $GMODE='G'
    $KDE=1
  $ENDIF
  $MODELE='YES'
  $EXIT
  $IF($DEF(GMODELES))
    $IF(LDE<KDE)
      $ERROR SIMULTANEOUS COMPUTATION IS NOT ALLOWED : LDE < KDE
      $STOP
    $ENDIF
    $GMODELE=GMODELES
    $ERASE(GMODELES)
    $LDE=1
  $ENDIF
  $IF($DEF(GMODELE))
    $GMODE='G'
    $KDE=1
  $ENDIF
$ENDIF
$IF($DEF(FGDMODELES))
  $FGDMODELE=FGDMODELES
  $ERASE(FGDMODELES)
  $LDE=1
$ENDIF
$IF($DEF(FGDMODELE))
  $FMODE='FGD'
  $KDE=1
  $MODELE='YES'
  $EXIT
$ENDIF
$FMODE='F'
$KDE=0
$MODELE='YES'
$REPEAT
  $HELP
    MODEL OF THE APPROXIMATED FUNCTION

      FE = <FORTRAN_EXPRESSION>
  $CHECK(FMODELE,'*',STR,1,NO)
  $IF(FMODELE='*')
    $IF(DIALOG>0)
      $ERASE(FMODELE)
    $ELSE
      $ERROR:  MODEL OF APPROXIMATED FUNCTION WAS NOT SPECIFIED.
      $STOP
    $ENDIF
  $ENDIF
$UNTIL($DEF(FMODELE))
$HELP
  MODEL OF GRADIENT OF THE APPROXIMATED FUNCTION

    GE(1)  = <FORTRAN_EXPRESSION>
    GE(2)  = <FORTRAN_EXPRESSION>
      .
      .
    GE(NF) = <FORTRAN_EXPRESSION>
$CHECK(GMODELE,'*',STR,1,NO)
$IF(GMODELE='*')
  $ERASE(GMODELE)
$ELSE
  $GMODE='G'
  $KDE=1
$ENDIF
$HELP
  MODEL OF DERIVATIVES OF THE APPROXIMATED FUNCTION

    DE(1)  = <FORTRAN_EXPRESSION>
    DE(2)  = <FORTRAN_EXPRESSION>
      .
      .
    DE(NF) = <FORTRAN_EXPRESSION>
$CHECK(DMODELE,'*',STR,1,NO)
$IF(DMODELE='*')
  $ERASE(DMODELE)
$ELSE
  $DMODE='D'
$ENDIF

